Subject: RE: Problem building Apache 1.3.22 + mod_ssl 2.8.5

From: [email-masked]
Date: Tue, 15 Jan 2002 14:23:32 -0000

>-----Original Message-----
>From: Toomas Aas [mailto:[email-masked]]
>Sent: 15 January 2002 13:50
>To: [email-masked]; [email-masked]
>Subject: RE: Problem building Apache 1.3.22 + mod_ssl 2.8.5
>
>
>Hi [email-masked]! 
>
>Thanks for replying so soon.
>
>
>That might be my problem right here, then. I use OpenSSL 
>version which is included in the base system of FreeBSD 
>4.3-RELEASE. The version is 0.9.6:
>
>$ openssl version
>OpenSSL 0.9.6 24 Sep 2000
>
>Can anyone confirm that mod_ssl 2.8.5 doesn't work with this 
>version of OpenSSL?
>
There's a README.Versions file with the mod_ssl package, but this is all it
has at the end of it:

    23-Jan-2001   2.8.0     1.3.17   0.9.3-0.9.6
    03-Mar-2001   2.8.1     1.3.19   0.9.3-0.9.6
    30-Mar-2001   2.8.2     1.3.19   0.9.3-0.9.6
    04-May-2001   2.8.3     1.3.19   0.9.3-0.9.6a
    20-May-2001   2.8.4     1.3.20   0.9.3-0.9.6a

(The figures are the release dates, mod_ssl, Apache and openssl versions).

2.8.5 was released on 16th October, and openssl 0.9.6c was released on 21st
December, hence my statement that it should work with 0.9.6b or 0.9.6c. 

Unless Ralf can say otherwise, it looks like 2.8.5 should build with 0.9.6.

- 
John Airey
Internet systems support officer, ITCSD, Royal National Institute for the
Blind,
Bakewell Road, Peterborough PE2 6XU,
Tel.: +44 (0) 1733 375299 Fax: +44 (0) 1733 370848 [email-masked] 

Agnostic (Greek) = Ignoramus (Latin)

- 

NOTICE: The information contained in this email and any attachments is 
confidential and may be legally privileged. If you are not the 
intended recipient you are hereby notified that you must not use, 
disclose, distribute, copy, print or rely on this email's content. If 
you are not the intended recipient, please notify the sender 
immediately and then delete the email and any attachments from your 
system.

RNIB has made strenuous efforts to ensure that emails and any 
attachments generated by its staff are free from viruses. However, it 
cannot accept any responsibility for any viruses which are 
transmitted. We therefore recommend you scan all attachments.

Please note that the statements and views expressed in this email 
and any attachments are those of the author and do not necessarily 
represent those of RNIB.

RNIB Registered Charity Number: 226227

Website: http://www.rnib.org.uk 

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]

---

From: Mads Toftum <[email-masked]>
Date: Tue, 15 Jan 2002 15:34:43 +0100

> Unless Ralf can say otherwise, it looks like 2.8.5 should build with 0.9.6.
I should think so too (I think that I have seen somebody use those versions).
At least recent changes in mod_ssl has been minimal and just following the
changes in apache. 
There are two things to note: 
1. openssl should be upgraded to at least 0.9.6b for security reasons
2. compiling and configuring a seperate openssl specifically for use with
mod_ssl using the config option no-thread will improve the performance
of mod_ssl

vh

Mads Toftum
-- 
With a rubber duck, one's never alone.
              -- "The Hitchhiker's Guide to the Galaxy"
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]